<?php

use App\Models\User;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(User::class,'user_id')->index('user_id')->onDelete('cascade'); // Foreign key to users table
            $table->string('lname');
            $table->string('email');
            $table->string('phoneno');
            $table->string('address1');
            $table->string('address2')->nullable();
            $table->string('city');
            $table->string('state');
            $table->string('country');
            $table->string('pincode');
            $table->tinyInteger('status_id')->default(1); // Foreign key to status table
            $table->string('message')->nullable(); // Optional message
            $table->string('tracking_no')->nullable(); // Tracking number is optional
            $table->decimal('total_price', 10, 2); // Store the total price of the order
            $table->timestamps();
        });
    
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('orders');
    }
};
