<?php

use App\Models\Order;
use App\Models\Product;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        
        Schema::create('order_items', function (Blueprint $table) {
        $table->id();
        $table->foreignIdFor(Order::class,'order_id')->index('order_id')->onDelete('cascade'); // Foreign key to orders table
        $table->foreignIdFor(Product::class,'prod_id')->index('prod_id')->onDelete('cascade'); // Foreign key to products table
        $table->integer('qty'); // Quantity of the product
        $table->decimal('price', 10, 2); // Price of the product
        $table->timestamps();
    });
       
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('order_items');
    }
};
