<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\Product;
use App\Models\CampaignContext;
return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('campagin_context_products', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(CampaignContext::class,'campaign_context_id')->index('campaign_context_id')->onDelete('cascade');
            $table->foreignIdFor(Product::class,'product_id')->index('product_id')->onDelete('cascade');
            $table->timestamps();
        });
        
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('campaign_context_products');
    }
};
